Bug 1582119 - 'custom extended attributes' set on a directory are not healed after bringing back the down sub-volumes
Summary: 'custom extended attributes' set on a directory are not healed after bringing...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1584098 1611116
TreeView+ depends on / blocked
 
Reported: 2018-05-24 09:31 UTC by Prasad Desala
Modified: 2018-09-11 05:39 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1584098 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:48:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:49:57 UTC

Description Prasad Desala 2018-05-24 09:31:04 UTC
Description of problem:
=======================
'custom extended attributes' set on a directory are not healed after bringing back the down sub-volumes.

Client:
=======
getfattr -n user.foo c
# file: c
user.foo="bar1"

Backend bricks:
===============
[root@dhcpnode1 distrepx3-b0]# getfattr -d -e hex -m . /bricks/brick0/distrepx3-b0/c
getfattr: Removing leading '/' from absolute path names
# file: bricks/brick0/distrepx3-b0/c
security.selinux=0x73797374656d5f753a6f626a6563745f723a676c7573746572645f627269636b5f743a733000
trusted.gfid=0x326aa2338e3846afa3006e873b313416
trusted.glusterfs.dht=0x00000000000000007ffffffc9ffffffa

[root@dhcpnode1 distrepx3-b0]# getfattr -d -e hex -m . /bricks/brick1/distrepx3-b1/c
getfattr: Removing leading '/' from absolute path names
# file: bricks/brick1/distrepx3-b1/c
security.selinux=0x73797374656d5f753a6f626a6563745f723a676c7573746572645f627269636b5f743a733000
trusted.gfid=0x326aa2338e3846afa3006e873b313416
trusted.glusterfs.dht=0x00000000000000009ffffffbbffffff9


Version-Release number of selected component (if applicable):
3.12.2-11.el7rhgs.x86_64

How reproducible:
1/1

Steps to Reproduce:
====================
1) Create a distributed-replicated volume and start it.
2) FUSE mount it on a client.
3) From client create few directories of depth 3.
4) Now, bring down few dht sub-vols using gf_attach command. (I brought down 2 dht sub-vol and 1 brick in another replica pair)
5) Make metadata changes to the directories. like uid, gid, perms, setxattr
6) Bring back the down sub-vols.
7) Check all the bricks for consistency.

Actual results:
================
'custom extended attributes' are not healed after bringing back the down sub-volumes

Expected results:
=================
No inconsistencies.

Comment 4 Ravishankar N 2018-05-29 08:59:59 UTC
Assigning to Karthik as he's taking a look at this.

Comment 6 Mohit Agrawal 2018-05-31 07:23:51 UTC
Hi,

Patch is posted on upstream

https://review.gluster.org/#/c/20102/

Regards
Mohit Agrawal

Comment 14 Prasad Desala 2018-07-23 06:23:19 UTC
Verified this BZ on glusterfs version 3.12.2-14.el7rhgs.x86_64.

Followed the same steps mentioned in the description. 'custom extended attributes' set on a directory are healed after bringing back the down sub-volumes.

Moving this BZ to Verified.

Comment 15 errata-xmlrpc 2018-09-04 06:48:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.